<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\ListQuestion;
use App\Models\Answers;

class QuestionController extends Controller
{
    public function index()
    {
        return view('auth/login', ['Questions' => ListQuestion::latest()->get()], ['Answerss' => Answers::all()],);
    }

    public function index2()
    {
        return view('home', ['Questions' => ListQuestion::latest()->get()], ['Answerss' => Answers::all()],);
    }

    public function saveQuestion(Request $request)
    {
        if (isset(auth()->user()->name)) {
            $newListQuestion = new ListQuestion;
            $newListQuestion->question = $request->ListQuestion;
            $newListQuestion->user = auth()->user()->name;
            $newListQuestion->save();
        } else {
            $message = "please login first";
            echo "<script type='text/javascript'>alert('$message');</script>";
        }
        
        return redirect('/home');
    }

    public function saveAnswer(Request $request)
    {
        if (isset(auth()->user()->name)) {
        $newAnswer = new Answers;
        $newAnswer->questionId = $request->currentId;
        $newAnswer->answers = $request->Answers;
        $newAnswer->user = auth()->user()->name;
        $newAnswer->save();
        }

        return redirect('/');
    }
}
